# Project: OperatingSystemLib
# Makefile created by Dev-C++ 4.9.9.2

BASEDIR=.
BOOSTDIR = C:/Boost
LIB_DIR = C:/Dev-Cpp/lib
CMP_NAME = mingw32
INC_ROOT = ${LIB_DIR}/gcc/${CMP_NAME}/3.4.2
CPP  = g++.exe -Wall -D__DEBUG__
CC   = gcc -D__DEBUG__
WINDRES = windres.exe
RES  = 
OBJ  = ${BASEDIR}/lib/DeadLockAvoid.o ${BASEDIR}/lib/ContainerOperation.o $(RES)
LINKOBJ  = ${BASEDIR}/lib/DeadLockAvoid.o ${BASEDIR}/lib/ContainerOperation.o $(RES)
LIBS =  -L"${LIB_DIR}" -L"${BOOSTDIR}/lib" -L"${BASEDIR}/lib"  
INCS =  -I"${INC_ROOT}/include" 
CXXINCS =  -I"${BOOSTDIR}/include/boost_1_34"  -I"${INC_ROOT}/include" -I"${INC_ROOT}/include/c++/${CMP_NAME}" -I"${INC_ROOT}/include/c++"  
BIN  = ${BASEDIR}/lib/libOperatingSystem.a
CXXFLAGS = $(CXXINCS)   -ansi
CFLAGS = $(INCS)   -ansi
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before ${BASEDIR}/lib/libOperatingSystem.a all-after


clean: clean-custom
	${RM} $(OBJ) 

all-after: clean

$(BIN): $(LINKOBJ)
	ar r $(BIN) $(LINKOBJ)
	ranlib $(BIN)

${BASEDIR}/lib/DeadLockAvoid.o: ${BASEDIR}/cs540/c++/cppdef/DeadLockAvoid.cpp ${BASEDIR}/cs540/c++/DeadLockAvoid.hpp
	$(CPP) -Wall -c ${BASEDIR}/cs540/c++/cppdef/DeadLockAvoid.cpp -o ${BASEDIR}/lib/DeadLockAvoid.o $(CXXFLAGS)

${BASEDIR}/lib/ContainerOperation.o: ${BASEDIR}/cs540/c++/cppdef/ContainerOperation.cpp ${BASEDIR}/cs540/c++/ContainerOperation.hpp
	$(CPP) -c ${BASEDIR}/cs540/c++/cppdef/ContainerOperation.cpp -o ${BASEDIR}/lib/ContainerOperation.o $(CXXFLAGS)
